<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration {
    public function up()
    {
        Schema::table('aduan_tps', function (Blueprint $table) {
            $table->text('tanggapan_admin')->nullable()->after('bukti_foto');
            $table->dateTime('tanggal_tanggapan')->nullable()->after('tanggapan_admin');
        });
    }

    public function down()
    {
        Schema::table('aduan_tps', function (Blueprint $table) {
            $table->dropColumn(['tanggapan_admin', 'tanggal_tanggapan']);
        });
    }
};
